package com.gz.service.statistics;

import cn.hutool.core.lang.tree.Tree;
import com.gz.rvo.statistics.ArchiveStatisticsRVO;
import com.gz.rvo.statistics.ArchiveYearStatisticsRVO;
import com.gz.rvo.statistics.BorrowStatisticsRVO;
import com.gz.vo.statistics.StatisticsVO;

import java.util.List;
import java.util.Map;

/**
 * 查询统计Service
 * @author LiuchangLan
 * @date 2021/3/8 14:59
 */
public interface SelectStatisticsService {

    List<ArchiveStatisticsRVO> selectStatisticsByType(StatisticsVO vo);

    List<ArchiveYearStatisticsRVO> selectArchiveYearStatistics(StatisticsVO vo);

    List<BorrowStatisticsRVO> selectBorrowStatistics(StatisticsVO vo);

    Map<String,Integer> selectUserBorrowCountStatistics();
}
